<html>
<head>
<title>OGRE: Ogre::MeshSerializer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1MeshSerializer.html">MeshSerializer</a></div>
<h1>Ogre::MeshSerializer Class Reference</h1><!-- doxytag: class="Ogre::MeshSerializer" --><!-- doxytag: inherits="Ogre::Serializer" -->Class for serialising mesh data to/from an OGRE .mesh file.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMeshSerializer_8h-source.html">OgreMeshSerializer.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::MeshSerializer:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1MeshSerializer-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> { <a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39ed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a>, 
<a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d397f044c7683a7374276db6e7060f51240">ENDIAN_BIG</a>, 
<a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d3910ce3b8f55cba526f6bc8237d8b25cc3">ENDIAN_LITTLE</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The endianness of written files.  <a href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#909bfb50bcf347edbdf7564e0ecb92b5">MeshSerializer</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#2e5c4987d4a0fa64430cb612e12c2e8c">~MeshSerializer</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#4de99d7b747bb944b269df88c2b169db">exportMesh</a> (const <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *pMesh, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, <a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> endianMode=ENDIAN_NATIVE)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Exports a mesh to the file specified.  <a href="#4de99d7b747bb944b269df88c2b169db"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#7282f52dcfc65e65f32a0ca6af67e1c3">importMesh</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *pDest)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Imports <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> and (optionally) <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> data from a .mesh file <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a>.  <a href="#7282f52dcfc65e65f32a0ca6af67e1c3"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="classOgre_1_1MeshSerializerImpl.html">MeshSerializerImpl</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#ea84cbb934dd11c14daece9b43a77c43">MeshSerializerImplMap</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#7a25395a380ecdda85b1baeacf4a8a07">writeFileHeader</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#fa565aa6d4619af064a12f470539e575">writeChunkHeader</a> (<a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> id, size_t size)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#eab7d76e6f420e1be6e6c60d9b12a6c6">writeFloats</a> (const float *const pfloat, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#063a40c4984f04d0ddf41096a5ffd9b5">writeFloats</a> (const double *const pfloat, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#dd3fca628a66fa8f58db9a98bfbee78e">writeShorts</a> (const <a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> *const pShort, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#8191e338697b554a8ccf4fc16fd4a47e">writeInts</a> (const <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> *const pInt, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#4f7209961701f9c90c5e48f264394d48">writeBools</a> (const bool *const pLong, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#c76c37d13ca53e5af9c146c546d0f401">writeObject</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vec)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#3152bb5fb33d99dff568b6d03d6c25e0">writeObject</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;q)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#5ee71fde1e0d85bd15172b023474174e">writeString</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;string)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#3eb5614dd7d87ce109d74f5bb6f07b0f">writeData</a> (const void *const buf, size_t size, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#5fcbfcf0fdacd57eed50bd4ec1d39248">readFileHeader</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#333f02260ebafef1648f5824a60e499d">readChunk</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#95ed554722facb385f7fa3b53622356b">readBools</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, bool *pDest, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#3d7fb441425335ae97b4a157179db336">readFloats</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, float *pDest, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#ec3cb2bc0bd8a31fc799323777881662">readFloats</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, double *pDest, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#9c2e328bda8cc2e0ae7f202ad643f0d2">readShorts</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> *pDest, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#8ac6fb727f1d63972b17269d473dfbe6">readInts</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> *pDest, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#1bd2ca7c8454264f1bffe703bfe5935d">readObject</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;pDest)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#13a9f1111633227f422fef070f6008f6">readObject</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;pDest)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#235a4bb6da1fe66326b1c05678ad878f">readString</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a8ed220a17c4edb0ed32f925fbe837f6">readString</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, size_t numChars)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#61ff1a3d78ef5d23cabe1322a438ea22">flipToLittleEndian</a> (void *pData, size_t size, size_t count=1)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#5beba950e3b4635070b3bb8eb41c408c">flipFromLittleEndian</a> (void *pData, size_t size, size_t count=1)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#405c917e6b188b6d6ead13678295232f">flipEndian</a> (void *pData, size_t size, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#89070a1dc03c189077deabce47120165">flipEndian</a> (void *pData, size_t size)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#93f9ec041b52aa6066fd0063733506b6">determineEndianness</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine the endianness of the incoming stream compared to native.  <a href="#93f9ec041b52aa6066fd0063733506b6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#61f017bac1e2b407925576284bc7665b">determineEndianness</a> (<a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> requestedEndian)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine the endianness to write with based on option.  <a href="#61f017bac1e2b407925576284bc7665b"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MeshSerializer.html#ea84cbb934dd11c14daece9b43a77c43">MeshSerializerImplMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#b92d5af79a650cf4ad929499a45cbea7">mImplementations</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#6331ceec847b83fed77165c9522eaa4f">mCurrentstreamLen</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">FILE *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#adee4932c73bfbcb3104245bbba4b50f">mpfFile</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#45b8d6fa3d3c64b3ab3dfe3a5084e3b4">mVersion</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a0773a2ca956fa2864ac50f57d0aa9a2">mFlipEndian</a></td></tr>

<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializer.html#c0e42c4f59e70808964c436e565edbc1">msCurrentVersion</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class for serialising mesh data to/from an OGRE .mesh file. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This class allows exporters to write OGRE .mesh files easily, and allows the OGRE engine to import .mesh files into instatiated OGRE Meshes. Note that a .mesh file can include not only the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>, but also definitions of any Materials it uses (although this is optional, the .mesh can rely on the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> being loaded from another source, especially useful if you want to take advantage of OGRE's advanced <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> properties which may not be available in your modeller). </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>To export a <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>:<ol>
<li>
Use the <a class="el" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a> methods to create any dependent <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> objects, if you want to export them with the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>. </li>
<li>
Create a <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> object and populate it using it's methods. </li>
<li>
Call the exportMesh method </li>
</ol>
</dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>It's important to realise that this exporter uses OGRE terminology. In this context, 'Mesh' means a top-level mesh structure which can actually contain many SubMeshes, each of which has only one <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>. Modelling packages may refer to these differently, for example in Milkshape, it says 'Model' instead of 'Mesh' and 'Mesh' instead of 'SubMesh', but the theory is the same. </dd></dl>

<p>Definition at line <a class="el" href="OgreMeshSerializer_8h-source.html#l00062">62</a> of file <a class="el" href="OgreMeshSerializer_8h-source.html">OgreMeshSerializer.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="ea84cbb934dd11c14daece9b43a77c43"></a><!-- doxytag: member="Ogre::MeshSerializer::MeshSerializerImplMap" ref="ea84cbb934dd11c14daece9b43a77c43" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1MeshSerializerImpl.html">MeshSerializerImpl</a>* &gt; <a class="el" href="classOgre_1_1MeshSerializer.html#ea84cbb934dd11c14daece9b43a77c43">Ogre::MeshSerializer::MeshSerializerImplMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshSerializer_8h-source.html#l00091">91</a> of file <a class="el" href="OgreMeshSerializer_8h-source.html">OgreMeshSerializer.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="5122d5a3161fb5fd819d9a0521fe9d39"></a><!-- doxytag: member="Ogre::MeshSerializer::Endian" ref="5122d5a3161fb5fd819d9a0521fe9d39" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Ogre::Serializer::Endian</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The endianness of written files. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="5122d5a3161fb5fd819d9a0521fe9d39ed60ca999861d8939cf57f19090c70ef"></a><!-- doxytag: member="ENDIAN_NATIVE" ref="5122d5a3161fb5fd819d9a0521fe9d39ed60ca999861d8939cf57f19090c70ef" args="" -->ENDIAN_NATIVE</em>&nbsp;</td><td>
Use the platform native endian. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="5122d5a3161fb5fd819d9a0521fe9d397f044c7683a7374276db6e7060f51240"></a><!-- doxytag: member="ENDIAN_BIG" ref="5122d5a3161fb5fd819d9a0521fe9d397f044c7683a7374276db6e7060f51240" args="" -->ENDIAN_BIG</em>&nbsp;</td><td>
Use big endian (0x1000 is serialised as 0x10 0x00). </td></tr>
<tr><td valign="top"><em><a class="anchor" name="5122d5a3161fb5fd819d9a0521fe9d3910ce3b8f55cba526f6bc8237d8b25cc3"></a><!-- doxytag: member="ENDIAN_LITTLE" ref="5122d5a3161fb5fd819d9a0521fe9d3910ce3b8f55cba526f6bc8237d8b25cc3" args="" -->ENDIAN_LITTLE</em>&nbsp;</td><td>
Use little endian (0x1000 is serialised as 0x00 0x10). </td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreSerializer_8h-source.html#l00051">51</a> of file <a class="el" href="OgreSerializer_8h-source.html">OgreSerializer.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="909bfb50bcf347edbdf7564e0ecb92b5"></a><!-- doxytag: member="Ogre::MeshSerializer::MeshSerializer" ref="909bfb50bcf347edbdf7564e0ecb92b5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::MeshSerializer::MeshSerializer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2e5c4987d4a0fa64430cb612e12c2e8c"></a><!-- doxytag: member="Ogre::MeshSerializer::~MeshSerializer" ref="2e5c4987d4a0fa64430cb612e12c2e8c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::MeshSerializer::~MeshSerializer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="4de99d7b747bb944b269df88c2b169db"></a><!-- doxytag: member="Ogre::MeshSerializer::exportMesh" ref="4de99d7b747bb944b269df88c2b169db" args="(const Mesh *pMesh, const String &amp;filename, Endian endianMode=ENDIAN_NATIVE)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MeshSerializer::exportMesh           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&nbsp;</td>
          <td class="paramname"> <em>pMesh</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Endian</a>&nbsp;</td>
          <td class="paramname"> <em>endianMode</em> = <code>ENDIAN_NATIVE</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Exports a mesh to the file specified. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method takes an externally created <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> object, and exports both it and optionally the Materials it uses to a .mesh file. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pMesh</em>&nbsp;</td><td>Pointer to the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> to export </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>filename</em>&nbsp;</td><td>The destination filename </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>endianMode</em>&nbsp;</td><td>The endian mode of the written file </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="7282f52dcfc65e65f32a0ca6af67e1c3"></a><!-- doxytag: member="Ogre::MeshSerializer::importMesh" ref="7282f52dcfc65e65f32a0ca6af67e1c3" args="(DataStreamPtr &amp;stream, Mesh *pDest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::MeshSerializer::importMesh           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&nbsp;</td>
          <td class="paramname"> <em>pDest</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Imports <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> and (optionally) <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> data from a .mesh file <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method imports data from a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> opened from a .mesh file and places it's contents into the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> object which is passed in. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>stream</em>&nbsp;</td><td>The <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> holding the .mesh data. Must be initialised (pos at the start of the buffer). </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pDest</em>&nbsp;</td><td>Pointer to the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> object which will receive the data. Should be blank already. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="7a25395a380ecdda85b1baeacf4a8a07"></a><!-- doxytag: member="Ogre::MeshSerializer::writeFileHeader" ref="7a25395a380ecdda85b1baeacf4a8a07" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::writeFileHeader           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="fa565aa6d4619af064a12f470539e575"></a><!-- doxytag: member="Ogre::MeshSerializer::writeChunkHeader" ref="fa565aa6d4619af064a12f470539e575" args="(uint16 id, size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::writeChunkHeader           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&nbsp;</td>
          <td class="paramname"> <em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="eab7d76e6f420e1be6e6c60d9b12a6c6"></a><!-- doxytag: member="Ogre::MeshSerializer::writeFloats" ref="eab7d76e6f420e1be6e6c60d9b12a6c6" args="(const float *const pfloat, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeFloats           </td>
          <td>(</td>
          <td class="paramtype">const float *const &nbsp;</td>
          <td class="paramname"> <em>pfloat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="063a40c4984f04d0ddf41096a5ffd9b5"></a><!-- doxytag: member="Ogre::MeshSerializer::writeFloats" ref="063a40c4984f04d0ddf41096a5ffd9b5" args="(const double *const pfloat, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeFloats           </td>
          <td>(</td>
          <td class="paramtype">const double *const &nbsp;</td>
          <td class="paramname"> <em>pfloat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="dd3fca628a66fa8f58db9a98bfbee78e"></a><!-- doxytag: member="Ogre::MeshSerializer::writeShorts" ref="dd3fca628a66fa8f58db9a98bfbee78e" args="(const uint16 *const pShort, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeShorts           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> *const &nbsp;</td>
          <td class="paramname"> <em>pShort</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="8191e338697b554a8ccf4fc16fd4a47e"></a><!-- doxytag: member="Ogre::MeshSerializer::writeInts" ref="8191e338697b554a8ccf4fc16fd4a47e" args="(const uint32 *const pInt, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeInts           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> *const &nbsp;</td>
          <td class="paramname"> <em>pInt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="4f7209961701f9c90c5e48f264394d48"></a><!-- doxytag: member="Ogre::MeshSerializer::writeBools" ref="4f7209961701f9c90c5e48f264394d48" args="(const bool *const pLong, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeBools           </td>
          <td>(</td>
          <td class="paramtype">const bool *const &nbsp;</td>
          <td class="paramname"> <em>pLong</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c76c37d13ca53e5af9c146c546d0f401"></a><!-- doxytag: member="Ogre::MeshSerializer::writeObject" ref="c76c37d13ca53e5af9c146c546d0f401" args="(const Vector3 &amp;vec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeObject           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>vec</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3152bb5fb33d99dff568b6d03d6c25e0"></a><!-- doxytag: member="Ogre::MeshSerializer::writeObject" ref="3152bb5fb33d99dff568b6d03d6c25e0" args="(const Quaternion &amp;q)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeObject           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>q</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="5ee71fde1e0d85bd15172b023474174e"></a><!-- doxytag: member="Ogre::MeshSerializer::writeString" ref="5ee71fde1e0d85bd15172b023474174e" args="(const String &amp;string)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeString           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>string</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3eb5614dd7d87ce109d74f5bb6f07b0f"></a><!-- doxytag: member="Ogre::MeshSerializer::writeData" ref="3eb5614dd7d87ce109d74f5bb6f07b0f" args="(const void *const buf, size_t size, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeData           </td>
          <td>(</td>
          <td class="paramtype">const void *const &nbsp;</td>
          <td class="paramname"> <em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="5fcbfcf0fdacd57eed50bd4ec1d39248"></a><!-- doxytag: member="Ogre::MeshSerializer::readFileHeader" ref="5fcbfcf0fdacd57eed50bd4ec1d39248" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::readFileHeader           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="333f02260ebafef1648f5824a60e499d"></a><!-- doxytag: member="Ogre::MeshSerializer::readChunk" ref="333f02260ebafef1648f5824a60e499d" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned short Ogre::Serializer::readChunk           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="95ed554722facb385f7fa3b53622356b"></a><!-- doxytag: member="Ogre::MeshSerializer::readBools" ref="95ed554722facb385f7fa3b53622356b" args="(DataStreamPtr &amp;stream, bool *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readBools           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool *&nbsp;</td>
          <td class="paramname"> <em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3d7fb441425335ae97b4a157179db336"></a><!-- doxytag: member="Ogre::MeshSerializer::readFloats" ref="3d7fb441425335ae97b4a157179db336" args="(DataStreamPtr &amp;stream, float *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readFloats           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&nbsp;</td>
          <td class="paramname"> <em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ec3cb2bc0bd8a31fc799323777881662"></a><!-- doxytag: member="Ogre::MeshSerializer::readFloats" ref="ec3cb2bc0bd8a31fc799323777881662" args="(DataStreamPtr &amp;stream, double *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readFloats           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&nbsp;</td>
          <td class="paramname"> <em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="9c2e328bda8cc2e0ae7f202ad643f0d2"></a><!-- doxytag: member="Ogre::MeshSerializer::readShorts" ref="9c2e328bda8cc2e0ae7f202ad643f0d2" args="(DataStreamPtr &amp;stream, uint16 *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readShorts           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> *&nbsp;</td>
          <td class="paramname"> <em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="8ac6fb727f1d63972b17269d473dfbe6"></a><!-- doxytag: member="Ogre::MeshSerializer::readInts" ref="8ac6fb727f1d63972b17269d473dfbe6" args="(DataStreamPtr &amp;stream, uint32 *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readInts           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> *&nbsp;</td>
          <td class="paramname"> <em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1bd2ca7c8454264f1bffe703bfe5935d"></a><!-- doxytag: member="Ogre::MeshSerializer::readObject" ref="1bd2ca7c8454264f1bffe703bfe5935d" args="(DataStreamPtr &amp;stream, Vector3 &amp;pDest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readObject           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pDest</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="13a9f1111633227f422fef070f6008f6"></a><!-- doxytag: member="Ogre::MeshSerializer::readObject" ref="13a9f1111633227f422fef070f6008f6" args="(DataStreamPtr &amp;stream, Quaternion &amp;pDest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readObject           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pDest</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="235a4bb6da1fe66326b1c05678ad878f"></a><!-- doxytag: member="Ogre::MeshSerializer::readString" ref="235a4bb6da1fe66326b1c05678ad878f" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::Serializer::readString           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="a8ed220a17c4edb0ed32f925fbe837f6"></a><!-- doxytag: member="Ogre::MeshSerializer::readString" ref="a8ed220a17c4edb0ed32f925fbe837f6" args="(DataStreamPtr &amp;stream, size_t numChars)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::Serializer::readString           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>numChars</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="61ff1a3d78ef5d23cabe1322a438ea22"></a><!-- doxytag: member="Ogre::MeshSerializer::flipToLittleEndian" ref="61ff1a3d78ef5d23cabe1322a438ea22" args="(void *pData, size_t size, size_t count=1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::flipToLittleEndian           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em> = <code>1</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="5beba950e3b4635070b3bb8eb41c408c"></a><!-- doxytag: member="Ogre::MeshSerializer::flipFromLittleEndian" ref="5beba950e3b4635070b3bb8eb41c408c" args="(void *pData, size_t size, size_t count=1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::flipFromLittleEndian           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em> = <code>1</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="405c917e6b188b6d6ead13678295232f"></a><!-- doxytag: member="Ogre::MeshSerializer::flipEndian" ref="405c917e6b188b6d6ead13678295232f" args="(void *pData, size_t size, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::flipEndian           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="89070a1dc03c189077deabce47120165"></a><!-- doxytag: member="Ogre::MeshSerializer::flipEndian" ref="89070a1dc03c189077deabce47120165" args="(void *pData, size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::flipEndian           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="93f9ec041b52aa6066fd0063733506b6"></a><!-- doxytag: member="Ogre::MeshSerializer::determineEndianness" ref="93f9ec041b52aa6066fd0063733506b6" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::determineEndianness           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determine the endianness of the incoming stream compared to native. 
<p>

</div>
</div><p>
<a class="anchor" name="61f017bac1e2b407925576284bc7665b"></a><!-- doxytag: member="Ogre::MeshSerializer::determineEndianness" ref="61f017bac1e2b407925576284bc7665b" args="(Endian requestedEndian)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::determineEndianness           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Endian</a>&nbsp;</td>
          <td class="paramname"> <em>requestedEndian</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determine the endianness to write with based on option. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="c0e42c4f59e70808964c436e565edbc1"></a><!-- doxytag: member="Ogre::MeshSerializer::msCurrentVersion" ref="c0e42c4f59e70808964c436e565edbc1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1MeshSerializer.html#c0e42c4f59e70808964c436e565edbc1">Ogre::MeshSerializer::msCurrentVersion</a><code> [static, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshSerializer_8h-source.html#l00089">89</a> of file <a class="el" href="OgreMeshSerializer_8h-source.html">OgreMeshSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b92d5af79a650cf4ad929499a45cbea7"></a><!-- doxytag: member="Ogre::MeshSerializer::mImplementations" ref="b92d5af79a650cf4ad929499a45cbea7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshSerializer.html#ea84cbb934dd11c14daece9b43a77c43">MeshSerializerImplMap</a> <a class="el" href="classOgre_1_1MeshSerializer.html#b92d5af79a650cf4ad929499a45cbea7">Ogre::MeshSerializer::mImplementations</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshSerializer_8h-source.html#l00092">92</a> of file <a class="el" href="OgreMeshSerializer_8h-source.html">OgreMeshSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6331ceec847b83fed77165c9522eaa4f"></a><!-- doxytag: member="Ogre::MeshSerializer::mCurrentstreamLen" ref="6331ceec847b83fed77165c9522eaa4f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1Serializer.html#6331ceec847b83fed77165c9522eaa4f">Ogre::Serializer::mCurrentstreamLen</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSerializer_8h-source.html#l00064">64</a> of file <a class="el" href="OgreSerializer_8h-source.html">OgreSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="adee4932c73bfbcb3104245bbba4b50f"></a><!-- doxytag: member="Ogre::MeshSerializer::mpfFile" ref="adee4932c73bfbcb3104245bbba4b50f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FILE* <a class="el" href="classOgre_1_1Serializer.html#adee4932c73bfbcb3104245bbba4b50f">Ogre::Serializer::mpfFile</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSerializer_8h-source.html#l00065">65</a> of file <a class="el" href="OgreSerializer_8h-source.html">OgreSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="45b8d6fa3d3c64b3ab3dfe3a5084e3b4"></a><!-- doxytag: member="Ogre::MeshSerializer::mVersion" ref="45b8d6fa3d3c64b3ab3dfe3a5084e3b4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Serializer.html#45b8d6fa3d3c64b3ab3dfe3a5084e3b4">Ogre::Serializer::mVersion</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSerializer_8h-source.html#l00066">66</a> of file <a class="el" href="OgreSerializer_8h-source.html">OgreSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a0773a2ca956fa2864ac50f57d0aa9a2"></a><!-- doxytag: member="Ogre::MeshSerializer::mFlipEndian" ref="a0773a2ca956fa2864ac50f57d0aa9a2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Serializer.html#a0773a2ca956fa2864ac50f57d0aa9a2">Ogre::Serializer::mFlipEndian</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSerializer_8h-source.html#l00067">67</a> of file <a class="el" href="OgreSerializer_8h-source.html">OgreSerializer.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMeshSerializer_8h-source.html">OgreMeshSerializer.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:41 2008
</p>
</body>
</html>
